Index: uspace/srv/fs/tmpfs/tmpfs_ops.c
===================================================================
--- uspace/srv/fs/tmpfs/tmpfs_ops.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/tmpfs/tmpfs_ops.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -64,20 +64,20 @@
 
 /* Forward declarations of static functions. */
-static errno_t tmpfs_match(fs_node_t **, fs_node_t *, const char *);
-static errno_t tmpfs_node_get(fs_node_t **, service_id_t, fs_index_t);
-static errno_t tmpfs_node_open(fs_node_t *);
-static errno_t tmpfs_node_put(fs_node_t *);
-static errno_t tmpfs_create_node(fs_node_t **, service_id_t, int);
-static errno_t tmpfs_destroy_node(fs_node_t *);
-static errno_t tmpfs_link_node(fs_node_t *, fs_node_t *, const char *);
-static errno_t tmpfs_unlink_node(fs_node_t *, fs_node_t *, const char *);
+static int tmpfs_match(fs_node_t **, fs_node_t *, const char *);
+static int tmpfs_node_get(fs_node_t **, service_id_t, fs_index_t);
+static int tmpfs_node_open(fs_node_t *);
+static int tmpfs_node_put(fs_node_t *);
+static int tmpfs_create_node(fs_node_t **, service_id_t, int);
+static int tmpfs_destroy_node(fs_node_t *);
+static int tmpfs_link_node(fs_node_t *, fs_node_t *, const char *);
+static int tmpfs_unlink_node(fs_node_t *, fs_node_t *, const char *);
 
 /* Implementation of helper functions. */
-static errno_t tmpfs_root_get(fs_node_t **rfn, service_id_t service_id)
+static int tmpfs_root_get(fs_node_t **rfn, service_id_t service_id)
 {
 	return tmpfs_node_get(rfn, service_id, TMPFS_SOME_ROOT); 
 }
 
-static errno_t tmpfs_has_children(bool *has_children, fs_node_t *fn)
+static int tmpfs_has_children(bool *has_children, fs_node_t *fn)
 {
 	*has_children = !list_empty(&TMPFS_NODE(fn)->cs_list);
@@ -227,5 +227,5 @@
 {
 	fs_node_t *rfn;
-	errno_t rc;
+	int rc;
 	
 	rc = tmpfs_create_node(&rfn, service_id, L_DIRECTORY);
@@ -252,5 +252,5 @@
 }
 
-errno_t tmpfs_match(fs_node_t **rfn, fs_node_t *pfn, const char *component)
+int tmpfs_match(fs_node_t **rfn, fs_node_t *pfn, const char *component)
 {
 	tmpfs_node_t *parentp = TMPFS_NODE(pfn);
@@ -267,5 +267,5 @@
 }
 
-errno_t tmpfs_node_get(fs_node_t **rfn, service_id_t service_id, fs_index_t index)
+int tmpfs_node_get(fs_node_t **rfn, service_id_t service_id, fs_index_t index)
 {
 	node_key_t key = {
@@ -286,5 +286,5 @@
 }
 
-errno_t tmpfs_node_open(fs_node_t *fn)
+int tmpfs_node_open(fs_node_t *fn)
 {
 	/* nothing to do */
@@ -292,5 +292,5 @@
 }
 
-errno_t tmpfs_node_put(fs_node_t *fn)
+int tmpfs_node_put(fs_node_t *fn)
 {
 	/* nothing to do */
@@ -298,8 +298,8 @@
 }
 
-errno_t tmpfs_create_node(fs_node_t **rfn, service_id_t service_id, int lflag)
+int tmpfs_create_node(fs_node_t **rfn, service_id_t service_id, int lflag)
 {
 	fs_node_t *rootfn;
-	errno_t rc;
+	int rc;
 
 	assert((lflag & L_FILE) ^ (lflag & L_DIRECTORY));
@@ -335,5 +335,5 @@
 }
 
-errno_t tmpfs_destroy_node(fs_node_t *fn)
+int tmpfs_destroy_node(fs_node_t *fn)
 {
 	tmpfs_node_t *nodep = TMPFS_NODE(fn);
@@ -351,5 +351,5 @@
 }
 
-errno_t tmpfs_link_node(fs_node_t *pfn, fs_node_t *cfn, const char *nm)
+int tmpfs_link_node(fs_node_t *pfn, fs_node_t *cfn, const char *nm)
 {
 	tmpfs_node_t *parentp = TMPFS_NODE(pfn);
@@ -386,5 +386,5 @@
 }
 
-errno_t tmpfs_unlink_node(fs_node_t *pfn, fs_node_t *cfn, const char *nm)
+int tmpfs_unlink_node(fs_node_t *pfn, fs_node_t *cfn, const char *nm)
 {
 	tmpfs_node_t *parentp = TMPFS_NODE(pfn);
@@ -421,15 +421,15 @@
  */
 
-static errno_t tmpfs_fsprobe(service_id_t service_id, vfs_fs_probe_info_t *info)
+static int tmpfs_fsprobe(service_id_t service_id, vfs_fs_probe_info_t *info)
 {
 	return ENOTSUP;
 }
 
-static errno_t
+static int
 tmpfs_mounted(service_id_t service_id, const char *opts, fs_index_t *index,
     aoff64_t *size)
 {
 	fs_node_t *rootfn;
-	errno_t rc;
+	int rc;
 	
 	/* Check if this device is not already mounted. */
@@ -458,5 +458,5 @@
 }
 
-static errno_t tmpfs_unmounted(service_id_t service_id)
+static int tmpfs_unmounted(service_id_t service_id)
 {
 	tmpfs_instance_done(service_id);
@@ -464,5 +464,5 @@
 }
 
-static errno_t tmpfs_read(service_id_t service_id, fs_index_t index, aoff64_t pos,
+static int tmpfs_read(service_id_t service_id, fs_index_t index, aoff64_t pos,
     size_t *rbytes)
 {
@@ -525,5 +525,5 @@
 }
 
-static errno_t
+static int
 tmpfs_write(service_id_t service_id, fs_index_t index, aoff64_t pos,
     size_t *wbytes, aoff64_t *nsize)
@@ -589,5 +589,5 @@
 }
 
-static errno_t tmpfs_truncate(service_id_t service_id, fs_index_t index,
+static int tmpfs_truncate(service_id_t service_id, fs_index_t index,
     aoff64_t size)
 {
@@ -626,10 +626,10 @@
 }
 
-static errno_t tmpfs_close(service_id_t service_id, fs_index_t index)
-{
-	return EOK;
-}
-
-static errno_t tmpfs_destroy(service_id_t service_id, fs_index_t index)
+static int tmpfs_close(service_id_t service_id, fs_index_t index)
+{
+	return EOK;
+}
+
+static int tmpfs_destroy(service_id_t service_id, fs_index_t index)
 {
 	node_key_t key = {
@@ -646,5 +646,5 @@
 }
 
-static errno_t tmpfs_sync(service_id_t service_id, fs_index_t index)
+static int tmpfs_sync(service_id_t service_id, fs_index_t index)
 {
 	/*
Index: uspace/srv/fs/udf/udf.c
===================================================================
--- uspace/srv/fs/udf/udf.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/udf/udf.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -41,5 +41,4 @@
 #include <async.h>
 #include <errno.h>
-#include <str_error.h>
 #include <task.h>
 #include <libfs.h>
@@ -80,5 +79,5 @@
 	}
 	
-	errno_t rc = fs_register(vfs_sess, &udf_vfs_info, &udf_ops,
+	int rc = fs_register(vfs_sess, &udf_vfs_info, &udf_ops,
 	    &udf_libfs_ops);
 	if (rc != EOK)
@@ -97,5 +96,5 @@
 	
 err:
-	log_msg(LOG_DEFAULT, LVL_FATAL, "Failed to register file system: %s", str_error(rc));
+	log_msg(LOG_DEFAULT, LVL_FATAL, "Failed to register file system (%d)", rc);
 	return rc;
 }
Index: uspace/srv/fs/udf/udf_file.c
===================================================================
--- uspace/srv/fs/udf/udf_file.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/udf/udf_file.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -54,12 +54,12 @@
  * @param pos      Position with which we read
  *
- * @return EOK on success or an error code.
- *
- */
-static errno_t udf_read_extended_allocator(udf_node_t *node, uint16_t icb_flag,
+ * @return EOK on success or a negative error code.
+ *
+ */
+static int udf_read_extended_allocator(udf_node_t *node, uint16_t icb_flag,
     uint32_t pos)
 {
 	block_t *block = NULL;
-	errno_t rc = block_get(&block, node->instance->service_id, pos,
+	int rc = block_get(&block, node->instance->service_id, pos,
 	    BLOCK_FLAGS_NONE);
 	if (rc != EOK)
@@ -90,8 +90,8 @@
  * @param len         Length of sequence
  *
- * @return EOK on success or an error code.
- *
- */
-errno_t udf_read_allocation_sequence(udf_node_t *node, uint8_t *af,
+ * @return EOK on success or a negative error code.
+ *
+ */
+int udf_read_allocation_sequence(udf_node_t *node, uint8_t *af,
     uint16_t icb_flag, uint32_t start_alloc, uint32_t len)
 {
@@ -231,7 +231,7 @@
  * @param node    UDF node
  *
- * @return    EOK on success or an error code.
- */
-errno_t udf_read_icb(udf_node_t *node)
+ * @return    EOK on success or a negative error code.
+ */
+int udf_read_icb(udf_node_t *node)
 {
 	while (true) {
@@ -239,5 +239,5 @@
 		
 		block_t *block = NULL;
-		errno_t rc = block_get(&block, node->instance->service_id, pos,
+		int rc = block_get(&block, node->instance->service_id, pos,
 		    BLOCK_FLAGS_NONE);
 		if (rc != EOK)
@@ -300,8 +300,8 @@
  * @param node UDF node
  *
- * @return EOK on success or an error code.
- *
- */
-errno_t udf_node_get_core(udf_node_t *node)
+ * @return EOK on success or a negative error code.
+ *
+ */
+int udf_node_get_core(udf_node_t *node)
 {
 	node->link_cnt = 1;
@@ -315,8 +315,8 @@
  * @param pos  Number of FID which we need to find
  *
- * @return EOK on success or an error code.
- *
- */
-static errno_t udf_get_fid_in_data(udf_file_identifier_descriptor_t **fid,
+ * @return EOK on success or a negative error code.
+ *
+ */
+static int udf_get_fid_in_data(udf_file_identifier_descriptor_t **fid,
     udf_node_t *node, aoff64_t pos)
 {
@@ -366,8 +366,8 @@
  * @param pos   Number of FID which we need to find
  *
- * @return EOK on success or an error code.
- *
- */
-errno_t udf_get_fid(udf_file_identifier_descriptor_t **fid, block_t **block,
+ * @return EOK on success or a negative error code.
+ *
+ */
+int udf_get_fid(udf_file_identifier_descriptor_t **fid, block_t **block,
     udf_node_t *node, aoff64_t pos)
 {
@@ -385,8 +385,8 @@
  * @param pos   Number of FID which we need to find
  *
- * @return EOK on success or an error code.
- *
- */
-errno_t udf_get_fid_in_allocator(udf_file_identifier_descriptor_t **fid,
+ * @return EOK on success or a negative error code.
+ *
+ */
+int udf_get_fid_in_allocator(udf_file_identifier_descriptor_t **fid,
     block_t **block, udf_node_t *node, aoff64_t pos)
 {
@@ -402,5 +402,5 @@
 		size_t i = 0;
 		while (i * node->instance->sector_size < node->allocators[j].length) {
-			errno_t rc = block_get(block, node->instance->service_id,
+			int rc = block_get(block, node->instance->service_id,
 			    node->allocators[j].position + i, BLOCK_FLAGS_NONE);
 			if (rc != EOK) {
@@ -466,8 +466,8 @@
  * @param len   Length of buf
  *
- * @return EOK on success or an error code.
- *
- */
-errno_t udf_get_fid_in_sector(udf_file_identifier_descriptor_t **fid,
+ * @return EOK on success or a negative error code.
+ *
+ */
+int udf_get_fid_in_sector(udf_file_identifier_descriptor_t **fid,
     block_t **block, udf_node_t *node, aoff64_t pos, size_t *n, void **buf,
     size_t *len)
@@ -573,8 +573,8 @@
  * @param len      Length of data for reading
  *
- * @return EOK on success or an error code.
- *
- */
-errno_t udf_read_file(size_t *read_len, ipc_callid_t callid, udf_node_t *node,
+ * @return EOK on success or a negative error code.
+ *
+ */
+int udf_read_file(size_t *read_len, ipc_callid_t callid, udf_node_t *node,
     aoff64_t pos, size_t len)
 {
@@ -594,5 +594,5 @@
 	
 	block_t *block = NULL;
-	errno_t rc = block_get(&block, node->instance->service_id,
+	int rc = block_get(&block, node->instance->service_id,
 	    node->allocators[i].position + (sector_num - sector_cnt),
 	    BLOCK_FLAGS_NONE);
Index: uspace/srv/fs/udf/udf_file.h
===================================================================
--- uspace/srv/fs/udf/udf_file.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/udf/udf_file.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -194,15 +194,15 @@
 }__attribute__((packed)) udf_space_bitmap_descriptor_t;
 
-extern errno_t udf_node_get_core(udf_node_t *);
-extern errno_t udf_read_icb(udf_node_t *);
-extern errno_t udf_read_allocation_sequence(udf_node_t *, uint8_t *, uint16_t,
+extern int udf_node_get_core(udf_node_t *);
+extern int udf_read_icb(udf_node_t *);
+extern int udf_read_allocation_sequence(udf_node_t *, uint8_t *, uint16_t,
     uint32_t, uint32_t);
-extern errno_t udf_read_file(size_t *, ipc_callid_t, udf_node_t *, aoff64_t,
+extern int udf_read_file(size_t *, ipc_callid_t, udf_node_t *, aoff64_t,
     size_t);
-extern errno_t udf_get_fid(udf_file_identifier_descriptor_t **, block_t **,
+extern int udf_get_fid(udf_file_identifier_descriptor_t **, block_t **,
     udf_node_t *, aoff64_t);
-extern errno_t udf_get_fid_in_allocator(udf_file_identifier_descriptor_t **,
+extern int udf_get_fid_in_allocator(udf_file_identifier_descriptor_t **,
     block_t **, udf_node_t *, aoff64_t);
-extern errno_t udf_get_fid_in_sector(udf_file_identifier_descriptor_t **,
+extern int udf_get_fid_in_sector(udf_file_identifier_descriptor_t **,
     block_t **, udf_node_t *, aoff64_t, size_t *, void **, size_t *);
 
Index: uspace/srv/fs/udf/udf_idx.c
===================================================================
--- uspace/srv/fs/udf/udf_idx.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/udf/udf_idx.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -88,8 +88,8 @@
 /** Initialization of hash table
  *
- * @return EOK on success or an error code.
- *
- */
-errno_t udf_idx_init(void)
+ * @return EOK on success or a negative error code.
+ *
+ */
+int udf_idx_init(void)
 {
 	if (!hash_table_create(&udf_idx, 0, 0, &udf_idx_ops))
@@ -101,8 +101,8 @@
 /** Delete hash table
  *
- * @return EOK on success or an error code.
- *
- */
-errno_t udf_idx_fini(void)
+ * @return EOK on success or a negative error code.
+ *
+ */
+int udf_idx_fini(void)
 {
 	hash_table_destroy(&udf_idx);
@@ -116,8 +116,8 @@
  * @param index    Absolute position of ICB (sector)
  *
- * @return EOK on success or an error code.
- *
- */
-errno_t udf_idx_get(udf_node_t **udfn, udf_instance_t *instance, fs_index_t index)
+ * @return EOK on success or a negative error code.
+ *
+ */
+int udf_idx_get(udf_node_t **udfn, udf_instance_t *instance, fs_index_t index)
 {
 	fibril_mutex_lock(&udf_idx_lock);
@@ -150,8 +150,8 @@
  * @param index    Absolute position of ICB (sector)
  *
- * @return EOK on success or an error code.
- *
- */
-errno_t udf_idx_add(udf_node_t **udfn, udf_instance_t *instance, fs_index_t index)
+ * @return EOK on success or a negative error code.
+ *
+ */
+int udf_idx_add(udf_node_t **udfn, udf_instance_t *instance, fs_index_t index)
 {
 	fibril_mutex_lock(&udf_idx_lock);
@@ -196,8 +196,8 @@
  * @param node UDF node
  *
- * @return EOK on success or an error code.
- *
- */
-errno_t udf_idx_del(udf_node_t *node)
+ * @return EOK on success or a negative error code.
+ *
+ */
+int udf_idx_del(udf_node_t *node)
 {
 	assert(node->ref_cnt == 0);
Index: uspace/srv/fs/udf/udf_idx.h
===================================================================
--- uspace/srv/fs/udf/udf_idx.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/udf/udf_idx.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -36,9 +36,9 @@
 #include "udf.h"
 
-extern errno_t udf_idx_init(void);
-extern errno_t udf_idx_fini(void);
-extern errno_t udf_idx_get(udf_node_t **, udf_instance_t *, fs_index_t);
-extern errno_t udf_idx_add(udf_node_t **, udf_instance_t *, fs_index_t);
-extern errno_t udf_idx_del(udf_node_t *);
+extern int udf_idx_init(void);
+extern int udf_idx_fini(void);
+extern int udf_idx_get(udf_node_t **, udf_instance_t *, fs_index_t);
+extern int udf_idx_add(udf_node_t **, udf_instance_t *, fs_index_t);
+extern int udf_idx_del(udf_node_t *);
 
 #endif /* UDF_IDX_H_ */
Index: uspace/srv/fs/udf/udf_ops.c
===================================================================
--- uspace/srv/fs/udf/udf_ops.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/udf/udf_ops.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -68,9 +68,9 @@
 static LIST_INITIALIZE(ffn_list);
 
-static errno_t udf_node_get(fs_node_t **rfn, service_id_t service_id,
+static int udf_node_get(fs_node_t **rfn, service_id_t service_id,
     fs_index_t index)
 {
 	udf_instance_t *instance;
-	errno_t rc = fs_instance_get(service_id, (void **) &instance);
+	int rc = fs_instance_get(service_id, (void **) &instance);
 	if (rc != EOK)
 		return rc;
@@ -94,8 +94,8 @@
 }
 
-static errno_t udf_root_get(fs_node_t **rfn, service_id_t service_id)
+static int udf_root_get(fs_node_t **rfn, service_id_t service_id)
 {
 	udf_instance_t *instance;
-	errno_t rc = fs_instance_get(service_id, (void **) &instance);
+	int rc = fs_instance_get(service_id, (void **) &instance);
 	if (rc != EOK)
 		return rc;
@@ -114,5 +114,5 @@
 }
 
-static errno_t udf_match(fs_node_t **rfn, fs_node_t *pfn, const char *component)
+static int udf_match(fs_node_t **rfn, fs_node_t *pfn, const char *component)
 {
 	char *name = malloc(MAX_FILE_NAME_LEN + 1);
@@ -132,5 +132,5 @@
 		
 		if (str_casecmp(name, component) == 0) {
-			errno_t rc = udf_node_get(rfn, udf_service_get(pfn),
+			int rc = udf_node_get(rfn, udf_service_get(pfn),
 			    udf_long_ad_to_pos(UDF_NODE(pfn)->instance, &long_ad));
 			
@@ -143,5 +143,5 @@
 		
 		if (block != NULL) {
-			errno_t rc = block_put(block);
+			int rc = block_put(block);
 			if (rc != EOK)
 				return rc;
@@ -155,10 +155,10 @@
 }
 
-static errno_t udf_node_open(fs_node_t *fn)
-{
-	return EOK;
-}
-
-static errno_t udf_node_put(fs_node_t *fn)
+static int udf_node_open(fs_node_t *fn)
+{
+	return EOK;
+}
+
+static int udf_node_put(fs_node_t *fn)
 {
 	udf_node_t *node = UDF_NODE(fn);
@@ -177,25 +177,25 @@
 }
 
-static errno_t udf_create_node(fs_node_t **rfn, service_id_t service_id, int flags)
-{
-	return ENOTSUP;
-}
-
-static errno_t udf_destroy_node(fs_node_t *fn)
-{
-	return ENOTSUP;
-}
-
-static errno_t udf_link(fs_node_t *pfn, fs_node_t *cfn, const char *name)
-{
-	return ENOTSUP;
-}
-
-static errno_t udf_unlink(fs_node_t *pfn, fs_node_t *cfn, const char *nm)
-{
-	return ENOTSUP;
-}
-
-static errno_t udf_has_children(bool *has_children, fs_node_t *fn)
+static int udf_create_node(fs_node_t **rfn, service_id_t service_id, int flags)
+{
+	return ENOTSUP;
+}
+
+static int udf_destroy_node(fs_node_t *fn)
+{
+	return ENOTSUP;
+}
+
+static int udf_link(fs_node_t *pfn, fs_node_t *cfn, const char *name)
+{
+	return ENOTSUP;
+}
+
+static int udf_unlink(fs_node_t *pfn, fs_node_t *cfn, const char *nm)
+{
+	return ENOTSUP;
+}
+
+static int udf_has_children(bool *has_children, fs_node_t *fn)
 {
 	*has_children = true;
@@ -248,8 +248,8 @@
 }
 
-static errno_t udf_size_block(service_id_t service_id, uint32_t *size)
+static int udf_size_block(service_id_t service_id, uint32_t *size)
 {
 	udf_instance_t *instance;
-	errno_t rc = fs_instance_get(service_id, (void **) &instance);
+	int rc = fs_instance_get(service_id, (void **) &instance);
 	if (rc != EOK)
 		return rc;
@@ -263,5 +263,5 @@
 }
 
-static errno_t udf_total_block_count(service_id_t service_id, uint64_t *count)
+static int udf_total_block_count(service_id_t service_id, uint64_t *count)
 {
 	*count = 0;
@@ -270,5 +270,5 @@
 }
 
-static errno_t udf_free_block_count(service_id_t service_id, uint64_t *count)
+static int udf_free_block_count(service_id_t service_id, uint64_t *count)
 {
 	*count = 0;
@@ -299,10 +299,10 @@
 };
 
-static errno_t udf_fsprobe(service_id_t service_id, vfs_fs_probe_info_t *info)
-{
-	return ENOTSUP;
-}
-
-static errno_t udf_mounted(service_id_t service_id, const char *opts,
+static int udf_fsprobe(service_id_t service_id, vfs_fs_probe_info_t *info)
+{
+	return ENOTSUP;
+}
+
+static int udf_mounted(service_id_t service_id, const char *opts,
     fs_index_t *index, aoff64_t *size)
 {
@@ -330,5 +330,5 @@
 	
 	/* initialize block cache */
-	errno_t rc = block_init(service_id, MAX_SIZE);
+	int rc = block_init(service_id, MAX_SIZE);
 	if (rc != EOK)
 		return rc;
@@ -415,8 +415,8 @@
 }
 
-static errno_t udf_unmounted(service_id_t service_id)
+static int udf_unmounted(service_id_t service_id)
 {
 	fs_node_t *fn;
-	errno_t rc = udf_root_get(&fn, service_id);
+	int rc = udf_root_get(&fn, service_id);
 	if (rc != EOK)
 		return rc;
@@ -449,9 +449,9 @@
 }
 
-static errno_t udf_read(service_id_t service_id, fs_index_t index, aoff64_t pos,
+static int udf_read(service_id_t service_id, fs_index_t index, aoff64_t pos,
     size_t *rbytes)
 {
 	udf_instance_t *instance;
-	errno_t rc = fs_instance_get(service_id, (void **) &instance);
+	int rc = fs_instance_get(service_id, (void **) &instance);
 	if (rc != EOK)
 		return rc;
@@ -523,15 +523,15 @@
 }
 
-static errno_t udf_close(service_id_t service_id, fs_index_t index)
-{
-	return EOK;
-}
-
-static errno_t udf_sync(service_id_t service_id, fs_index_t index)
-{
-	return ENOTSUP;
-}
-
-static errno_t udf_write(service_id_t service_id, fs_index_t index, aoff64_t pos,
+static int udf_close(service_id_t service_id, fs_index_t index)
+{
+	return EOK;
+}
+
+static int udf_sync(service_id_t service_id, fs_index_t index)
+{
+	return ENOTSUP;
+}
+
+static int udf_write(service_id_t service_id, fs_index_t index, aoff64_t pos,
     size_t *wbytes, aoff64_t *nsize)
 {
@@ -539,5 +539,5 @@
 }
 
-static errno_t udf_truncate(service_id_t service_id, fs_index_t index,
+static int udf_truncate(service_id_t service_id, fs_index_t index,
     aoff64_t size)
 {
@@ -545,5 +545,5 @@
 }
 
-static errno_t udf_destroy(service_id_t service_id, fs_index_t index)
+static int udf_destroy(service_id_t service_id, fs_index_t index)
 {
 	return ENOTSUP;
Index: uspace/srv/fs/udf/udf_volume.c
===================================================================
--- uspace/srv/fs/udf/udf_volume.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/udf/udf_volume.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -81,8 +81,8 @@
  * @param vd         Returned value - Volume Descriptor.
  *
- * @return EOK on success or an error code.
- *
- */
-static errno_t udf_volume_recongnition_structure_test(service_id_t service_id,
+ * @return EOK on success or a negative error code.
+ *
+ */
+static int udf_volume_recongnition_structure_test(service_id_t service_id,
     aoff64_t addr, udf_vrs_descriptor_t *vd)
 {
@@ -98,7 +98,7 @@
  * @param service_id
  *
- * @return    EOK on success or an error code.
- */
-errno_t udf_volume_recongnition(service_id_t service_id) 
+ * @return    EOK on success or a negative error code.
+ */
+int udf_volume_recongnition(service_id_t service_id) 
 {
 	aoff64_t addr = VRS_ADDR;
@@ -109,5 +109,5 @@
 		return ENOMEM;
 	
-	errno_t rc = udf_volume_recongnition_structure_test(service_id, addr, vd);
+	int rc = udf_volume_recongnition_structure_test(service_id, addr, vd);
 	if (rc != EOK) {
 		free(vd);
@@ -167,11 +167,11 @@
  * @param sector_size Expected sector size
  *
- * @return EOK on success or an error code.
- *
- */
-static errno_t udf_get_anchor_volume_descriptor_by_ssize(service_id_t service_id,
+ * @return EOK on success or a negative error code.
+ *
+ */
+static int udf_get_anchor_volume_descriptor_by_ssize(service_id_t service_id,
     udf_anchor_volume_descriptor_t *avd, uint32_t sector_size)
 {
-	errno_t rc = block_read_bytes_direct(service_id,
+	int rc = block_read_bytes_direct(service_id,
 	    UDF_AVDP_SECTOR * sector_size,
 	    sizeof(udf_anchor_volume_descriptor_t), avd);
@@ -204,8 +204,8 @@
  * @param avd        Returned value - Anchor Volume Descriptor
  *
- * @return EOK on success or an error code.
- *
- */
-errno_t udf_get_anchor_volume_descriptor(service_id_t service_id,
+ * @return EOK on success or a negative error code.
+ *
+ */
+int udf_get_anchor_volume_descriptor(service_id_t service_id,
     udf_anchor_volume_descriptor_t *avd)
 {
@@ -213,5 +213,5 @@
 	
 	udf_instance_t *instance;
-	errno_t rc = fs_instance_get(service_id, (void **) &instance);
+	int rc = fs_instance_get(service_id, (void **) &instance);
 	if (rc != EOK)
 		return rc;
@@ -357,12 +357,12 @@
  * @param id       Index of partition in instance::partitions array
  *
- * @return EOK on success or an error code.
- *
- */
-static errno_t udf_read_virtual_partition(udf_instance_t *instance, uint32_t pos,
+ * @return EOK on success or a negative error code.
+ *
+ */
+static int udf_read_virtual_partition(udf_instance_t *instance, uint32_t pos,
     uint32_t id)
 {
 	block_t *block = NULL;
-	errno_t rc = block_get(&block, instance->service_id, pos,
+	int rc = block_get(&block, instance->service_id, pos,
 	    BLOCK_FLAGS_NONE);
 	if (rc != EOK)
@@ -438,8 +438,8 @@
  * @param instance UDF instance
  *
- * @return EOK on success or an error code.
- *
- */
-static errno_t udf_fill_volume_info(udf_logical_volume_descriptor_t *lvd,
+ * @return EOK on success or a negative error code.
+ *
+ */
+static int udf_fill_volume_info(udf_logical_volume_descriptor_t *lvd,
     size_t lvd_cnt, udf_partition_descriptor_t *pd, size_t pd_cnt,
     udf_instance_t *instance)
@@ -553,5 +553,5 @@
 				instance->partitions[j].number =
 				    FLE16(metadata->partition_number);
-				errno_t rc = udf_read_virtual_partition(instance,
+				int rc = udf_read_virtual_partition(instance,
 				    FLE32(metadata->metadata_fileloc) +
 				    FLE32(pd[pd_num].starting_location), j);
@@ -598,12 +598,12 @@
  * @param addr       UDF extent descriptor (ECMA 167 3/7.1)
  *
- * @return EOK on success or an error code.
- *
- */
-errno_t udf_read_volume_descriptor_sequence(service_id_t service_id,
+ * @return EOK on success or a negative error code.
+ *
+ */
+int udf_read_volume_descriptor_sequence(service_id_t service_id,
     udf_extent_t addr)
 {
 	udf_instance_t *instance;
-	errno_t rc = fs_instance_get(service_id, (void **) &instance);
+	int rc = fs_instance_get(service_id, (void **) &instance);
 	if (rc != EOK)
 		return rc;
Index: uspace/srv/fs/udf/udf_volume.h
===================================================================
--- uspace/srv/fs/udf/udf_volume.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/udf/udf_volume.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -212,8 +212,8 @@
 } __attribute__((packed)) udf_partition_header_descriptor_t;
 
-extern errno_t udf_volume_recongnition(service_id_t);
-extern errno_t udf_get_anchor_volume_descriptor(service_id_t,
+extern int udf_volume_recongnition(service_id_t);
+extern int udf_get_anchor_volume_descriptor(service_id_t,
     udf_anchor_volume_descriptor_t *);
-extern errno_t udf_read_volume_descriptor_sequence(service_id_t, udf_extent_t);
+extern int udf_read_volume_descriptor_sequence(service_id_t, udf_extent_t);
 extern fs_index_t udf_long_ad_to_pos(udf_instance_t *, udf_long_ad_t *);
 
Index: uspace/srv/hid/compositor/compositor.c
===================================================================
--- uspace/srv/hid/compositor/compositor.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/hid/compositor/compositor.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -151,10 +151,10 @@
 static bool active = false;
 
-static errno_t comp_active(input_t *);
-static errno_t comp_deactive(input_t *);
-static errno_t comp_key_press(input_t *, kbd_event_type_t, keycode_t, keymod_t, wchar_t);
-static errno_t comp_mouse_move(input_t *, int, int);
-static errno_t comp_abs_move(input_t *, unsigned, unsigned, unsigned, unsigned);
-static errno_t comp_mouse_button(input_t *, int, int);
+static int comp_active(input_t *);
+static int comp_deactive(input_t *);
+static int comp_key_press(input_t *, kbd_event_type_t, keycode_t, keymod_t, wchar_t);
+static int comp_mouse_move(input_t *, int, int);
+static int comp_abs_move(input_t *, unsigned, unsigned, unsigned, unsigned);
+static int comp_mouse_button(input_t *, int, int);
 
 static input_ev_ops_t input_ev_ops = {
@@ -602,5 +602,5 @@
 	}
 	
-	errno_t rc = async_data_read_finalize(callid, event, len);
+	int rc = async_data_read_finalize(callid, event, len);
 	if (rc != EOK) {
 		async_answer_0(iid, ENOMEM);
@@ -706,5 +706,5 @@
 	
 	void *new_cell_storage;
-	errno_t rc = async_share_out_finalize(callid, &new_cell_storage);
+	int rc = async_share_out_finalize(callid, &new_cell_storage);
 	if ((rc != EOK) || (new_cell_storage == AS_MAP_FAILED)) {
 		async_answer_0(iid, ENOMEM);
@@ -1049,5 +1049,5 @@
 	/* Retrieve the mode that shall be set. */
 	vslmode_t new_mode;
-	errno_t rc = visualizer_get_mode(vp->sess, &new_mode, mode_idx);
+	int rc = visualizer_get_mode(vp->sess, &new_mode, mode_idx);
 	if (rc != EOK) {
 		fibril_mutex_unlock(&viewport_list_mtx);
@@ -1177,5 +1177,5 @@
 static async_sess_t *vsl_connect(service_id_t sid, const char *svc)
 {
-	errno_t rc;
+	int rc;
 	async_sess_t *sess;
 
@@ -1206,5 +1206,5 @@
 static viewport_t *viewport_create(service_id_t sid)
 {
-	errno_t rc;
+	int rc;
 	char *vsl_name = NULL;
 	viewport_t *vp = NULL;
@@ -1477,5 +1477,5 @@
 #endif
 
-static errno_t comp_abs_move(input_t *input, unsigned x , unsigned y,
+static int comp_abs_move(input_t *input, unsigned x , unsigned y,
     unsigned max_x, unsigned max_y)
 {
@@ -1512,5 +1512,5 @@
 }
 
-static errno_t comp_mouse_move(input_t *input, int dx, int dy)
+static int comp_mouse_move(input_t *input, int dx, int dy)
 {
 	pointer_t *pointer = input_pointer(input);
@@ -1624,5 +1624,5 @@
 }
 
-static errno_t comp_mouse_button(input_t *input, int bnum, int bpress)
+static int comp_mouse_button(input_t *input, int bnum, int bpress)
 {
 	pointer_t *pointer = input_pointer(input);
@@ -1809,5 +1809,5 @@
 }
 
-static errno_t comp_active(input_t *input)
+static int comp_active(input_t *input)
 {
 	active = true;
@@ -1817,5 +1817,5 @@
 }
 
-static errno_t comp_deactive(input_t *input)
+static int comp_deactive(input_t *input)
 {
 	active = false;
@@ -1823,5 +1823,5 @@
 }
 
-static errno_t comp_key_press(input_t *input, kbd_event_type_t type, keycode_t key,
+static int comp_key_press(input_t *input, kbd_event_type_t type, keycode_t key,
     keymod_t mods, wchar_t c)
 {
@@ -2143,10 +2143,10 @@
 }
 
-static errno_t input_connect(const char *svc)
+static int input_connect(const char *svc)
 {
 	async_sess_t *sess;
 	service_id_t dsid;
 
-	errno_t rc = loc_service_get_id(svc, &dsid, 0);
+	int rc = loc_service_get_id(svc, &dsid, 0);
 	if (rc != EOK) {
 		printf("%s: Input service %s not found\n", NAME, svc);
@@ -2199,5 +2199,5 @@
 	/* Create viewports and connect them to visualizers. */
 	category_id_t cat_id;
-	errno_t rc = loc_category_get_id("visualizer", &cat_id, IPC_FLAG_BLOCKING);
+	int rc = loc_category_get_id("visualizer", &cat_id, IPC_FLAG_BLOCKING);
 	if (rc != EOK)
 		goto ret;
@@ -2240,5 +2240,5 @@
 }
 
-static errno_t compositor_srv_init(char *input_svc, char *name)
+static int compositor_srv_init(char *input_svc, char *name)
 {
 	/* Coordinates of the central pixel. */
@@ -2251,5 +2251,5 @@
 	async_set_fallback_port_handler(client_connection, NULL);
 	
-	errno_t rc = loc_server_register(NAME);
+	int rc = loc_server_register(NAME);
 	if (rc != EOK) {
 		printf("%s: Unable to register server (%s)\n", NAME, str_error(rc));
@@ -2313,5 +2313,5 @@
 	printf("%s: HelenOS Compositor server\n", NAME);
 	
-	errno_t rc = compositor_srv_init(argv[1], argv[2]);
+	int rc = compositor_srv_init(argv[1], argv[2]);
 	if (rc != EOK)
 		return rc;
